Download it now!
Bug 127222 - KDE VCL: Menus don't get dismissed when you click in certain areas outside the menu.
Summary: KDE VCL: Menus don't get dismissed when you click in certain areas outside th...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.6.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-08-29 18:50 UTC by cranetester
Modified: 2020-05-03 03:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
clicking within the program, trying to dismiss the menu. (1.22 MB, video/mp4)
2019-08-29 18:50 UTC, cranetester
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cranetester 2019-08-29 18:50:44 UTC
Created attachment 153736 [details]
clicking within the program, trying to dismiss the menu.

Version: 6.2.6.2
Build ID: 1:6.2.6-0ubuntu0.19.04.1
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

KDE desktop on X11.

The bug is probably present throughout the suite. (see video)
Comment 1 Michael Weghorn 2019-10-03 15:18:27 UTC
Hi, thanks for reporting this bug.

I cannot reproduce this issue with the current development version of LibreOffice anymore, so it seems like this has already been fixed in the meanwhile. Can you please retest with a daily build as available at [1]?
You can install that in parallel to your existing build as described at [2].

What I did (according to the first steps in the screencast):
* enable the "Tabbed" interface
* click on the "References" tab
* click the "References" item in the toolbar
* click somewhere in the document (as shown in the screencast) -> the menu collapses at once

my version:

Version: 6.4.0.0.alpha0+
Build ID: c561d7289b23507f810f8a4fc9c16a314f7fb0a8
CPU threads: 4; OS: Linux 5.2; UI render: default; VCL: kf5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

[1] https://dev-builds.libreoffice.org/daily/master/
[2] https://wiki.documentfoundation.org/Installing_in_parallel/Linux
Comment 2 QA Administrators 2020-04-02 03:34:56 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2020-05-03 03:47:52 UTC
Dear cranetester,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp